Subject: Re: build #337 failed for 2.6.24-rc1-gb1d08ac In function `usbnet_set_settings':

From: David Brownell <[email-masked]>
Date: Thu, 1 Nov 2007 16:32:18 -0700

On Thursday 01 November 2007, Randy Dunlap wrote:
> The MII functions aren't available unless NET_ETHERNET=y.
> Howver, the MII functions aren't always needed...
> 
> David, any ideas on this one?

It's been several years since I looked at this.  It
used to behave just fine.

Something must have changed in the not-too-distant
past to have broken this mechanism...

>  config USB_USBNET
>         tristate "Multi-purpose USB Networking Framework"
> +       depends on NET_ETHERNET if USB_USBNET_MII != n
>         select MII if USB_USBNET_MII != n
> 
> would be handy.  But invalid.
> 
> Hm, wait.  Haven't we seen this before and decided that MII should
> be made more generally available?  I.e., not depend on NET_ETHERNET?

Some of us keep wanting to see "select" work properly,
not omitting dependencies...

Re interdependencies MII and NET_ETHERNET, I'll leave
that up to the netedev folk.

- Dave